Bug 2033383 - latte-dock-0.10.5 is available
Summary: latte-dock-0.10.5 is available
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: latte-dock
Version: rawhide
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
Assignee: Gerald Cox
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-12-16 16:17 UTC by Upstream Release Monitoring
Modified: 2021-12-27 00:56 UTC (History)
2 users (show)

Fixed In Version: latte-dock-0.10.6-1.fc35 latte-dock-0.10.6-1.fc34
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-12-27 00:41:21 UTC
Type: ---


Attachments (Terms of Use)
Update to 0.10.5 (#2033383) (914 bytes, patch)
2021-12-16 16:17 UTC, Upstream Release Monitoring
no flags Details | Diff

Description Upstream Release Monitoring 2021-12-16 16:17:38 UTC
Latest upstream release: 0.10.5
Current version/release in rawhide: 0.10.4-1.fc36
URL: https://store.kde.org/p/1169519/

Please consult the package updates policy before you issue an update to a stable branch: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/


More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from Anitya: https://release-monitoring.org/project/15249/

Comment 1 Upstream Release Monitoring 2021-12-16 16:17:43 UTC
Created attachment 1846613 [details]
Update to 0.10.5 (#2033383)

Comment 2 Upstream Release Monitoring 2021-12-16 16:31:42 UTC
the-new-hotness/release-monitoring.org's scratch build of latte-dock-0.10.5-1.fc34.src.rpm for rawhide failed http://koji.fedoraproject.org/koji/taskinfo?taskID=80089829

Comment 3 Gerald Cox 2021-12-16 17:37:44 UTC
Version 0.10.5
improve startup behavior and reduce visual glitches whenever a dock or panel is first appearing
prepare code for Plasma LookNFeel packages
improve applets dragging behavior when changing their position in a dock or panel
ignore window states when kwin window manager is showing desktop effect
reposition vertical docks and panels when surrounding docks and panels are changing their maximum length independent of their visibility mode
reduce/increase maximum length through canvas ruler even when the minimum length equals the maximum length
do not update kwin borderless windows behavior when it is not really changed for the current running layouts structure
copied and duplicated docks or panels should not have AllBorders background enabled with no reason
ignore maxlength that equals zero for fillLength applets as Qt already doing
support 10bit systems under x11 and not show only a blurred area in that case
multiscreen: disable struts under x11 for docks or panels that stand between two or more different screens
tasks: reassign launchers group properly when a dock or panel view is recreated for any of reasons
tasks: identify vivaldi audio stream properly and show the audio badge in that case
cmd: support --add-dock through command line even when application is not already running
cmd: provide option to print all available templates
cmd: provide option to enable/disable application autostart

Comment 4 Fedora Update System 2021-12-16 23:33:25 UTC
FEDORA-2021-36cc076997 has been submitted as an update to Fedora 35. https://bodhi.fedoraproject.org/updates/FEDORA-2021-36cc076997

Comment 5 Fedora Update System 2021-12-16 23:33:57 UTC
FEDORA-2021-7f179cd25e has been submitted as an update to Fedora 34. https://bodhi.fedoraproject.org/updates/FEDORA-2021-7f179cd25e

Comment 6 Fedora Update System 2021-12-17 01:27:35 UTC
FEDORA-2021-7f179cd25e has been pushed to the Fedora 34 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-7f179cd25e`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-7f179cd25e

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 7 Fedora Update System 2021-12-17 01:57:58 UTC
FEDORA-2021-36cc076997 has been pushed to the Fedora 35 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-36cc076997`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-36cc076997

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 8 Fedora Update System 2021-12-19 00:35:56 UTC
FEDORA-2021-1fd47ce5bb has been pushed to the Fedora 34 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-1fd47ce5bb`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-1fd47ce5bb

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 9 Fedora Update System 2021-12-19 01:19:22 UTC
FEDORA-2021-bfa3e40ad0 has been pushed to the Fedora 35 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-bfa3e40ad0`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-bfa3e40ad0

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 10 Fedora Update System 2021-12-27 00:41:21 UTC
FEDORA-2021-bfa3e40ad0 has been pushed to the Fedora 35 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 11 Fedora Update System 2021-12-27 00:56:11 UTC
FEDORA-2021-1fd47ce5bb has been pushed to the Fedora 34 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.